Get Partition Cell Count

post

/applications/{applicationName}/databases/{databaseName}/partitions/cellcount

Gets source and target cell counts for the partition area definitions. A partition area must have the same number of cells in the source and target.

Request

Path Parameters
Back to Top

Response

200 Response

OK

Partition area cell count returned successfully.

400 Response

Bad Request

Failed to get partition area cell count.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to count the cells for the source and target partition area definitions.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X POST "https://myserver.example.com:9001/essbase/rest/v1/applications/SampTgt/databases/Basic/partitions/cellcount" -H  "accept: application/json" -H  "Content-Type: application/json" --data-binary "@./input_partitioninfo.json" -o output.json -u %User%:%Password%

Sample JSON Payload

The cURL example above delivers the following JSON payload in input_partitioninfo.json.

{
  "type": "TRANSPARENT",
   "isNew": true,
   "federatedTypeCR": false,
   "federatedTypeAV": false,
   "sourceInfo": {
       "serverName": "https://myserver.example.com:9001/essbase/agent",
       "applicationName": "SampSrc",
       "databaseName": "Basic"
       },
    "areas": [
       {
        "sourceArea": "@idesc(\"100\")",
        "targetArea": "@idesc(\"100\")",
        "slices": [
           {
            "sourceMember": "\"100-10\"",
            "targetMember": "\"555-55\""
           }
         ]
       }
      ],
     "mappings": []
}

Example of Response Body

The following output is written to output.json:

{
  "type" : "TRANSPARENT",
  "isNew" : true,
  "updatable" : false,
  "locked" : false,
  "federatedTypeCR" : false,
  "federatedTypeAV" : false,
  "sourceInfo" : {
    "serverName" : "https://myserver.example.com:9001/essbase/agent",
    "alterCredentials" : false,
    "applicationLevelConnection" : false,
    "applicationLevelDatasource" : false,
    "applicationName" : "SampSrc",
    "databaseName" : "Basic"
  },
  "targetInfo" : {
    "serverName" : "https://myserver.example.com:9001/essbase/agent",
    "alterCredentials" : false,
    "applicationLevelConnection" : false,
    "applicationLevelDatasource" : false
  },
  "areas" : [ {
    "sourceArea" : "@idesc(\"100\")",
    "sourceCellCount" : 95200,
    "targetArea" : "@idesc(\"100\")",
    "targetCellCount" : 95200,
    "slices" : [ {
      "sourceMember" : "\"100-10\"",
      "targetMember" : "\"555-55\""
    } ]
  } ],
  "mappings" : []
}
Back to Top